% A_noiselet.m
%
% Takes noiselet measurements on the specified set.
%
% Written by: Justin Romberg, Georgia Tech, jrom@ece.gatech.edu
% Created: May 2007
%

function y = A_noiselet(s, OMEGA)

N = length(s);
w = realnoiselet(s)/sqrt(N);
y = w(OMEGA);

