% A_noiselet.m
%
% Takes noiselet measurements on the specified set.
%
% Written by: Justin Romberg, Georgia Tech, jrom@ece.gatech.edu
% Created: May 2007
%

function y = A_noiseletWLOrth(s, OMEGA, N, qmf)


n = sqrt(N);

% x = psi* s
X = IWT2_PO(reshape(s,n,n),3,qmf);
x = X(:);

% y = phi x
y_big = realnoiselet(x)/sqrt(N);
y = y_big(OMEGA);

