% At_noiselet.m
%
% Adjoint of A_noiselet.m
%
% Written by: Justin Romberg, Georgia Tech, jrom@ece.gatech.edu
% Created: May 2007
%

function v2 = At_noiseletDCT(y, OMEGA, N)

vn = zeros(N,1);
vn(OMEGA) = y;
v = realnoiselet(vn/sqrt(N));
n = sqrt(N);
V = dct2(reshape(v,n,n));
v2 = V(:);