% At_noiselet.m
%
% Adjoint of A_noiselet.m
%
% Written by: Justin Romberg, Georgia Tech, jrom@ece.gatech.edu
% Created: May 2007
%

function s = At_noiseletSVD(y, OMEGA, N,U, V)


% invertendo y = phi x
y_rec = zeros(N,1);
y_rec(OMEGA) = y;

x = realnoiselet(y_rec/sqrt(N));
n = sqrt(N);
X = reshape(x,n,n);

% invertendo s = psi x
S = U'*X*V;
s = S(:);