% At_noiselet.m
%
% Adjoint of A_noiselet.m
%
% Written by: Justin Romberg, Georgia Tech, jrom@ece.gatech.edu
% Created: May 2007
%

function s = At_noiseletWLOrth(y, OMEGA, N, qmf)


% invertendo y = phi x
y_rec = zeros(N,1);
y_rec(OMEGA) = y;

x = realnoiselet(y_rec/sqrt(N));
n = sqrt(N);

% invertendo s = psi x
S = FWT2_PO(reshape(x,n,n),3,qmf);
s = S(:);