% Calculates Entropy of a given measurement vector
%
% Writen by: Adriana Schulz, Visgraf - IMPA aschulz@impa.br
% Last update: January 2009


function [E] = entropy(y, q_step)

 
 % Geting histogram
 max_Val = max(y);
 min_Val = min(y);
 [n,xout] = hist(y, min_Val:q_step:max_Val);
 
 % Sum 1 
 n = n+1;
 
 %Entropy calculus
 E = 0;
 for count=1:size(n,2)
     prob = n(count)/(sum(n));
     E = E + prob*log2(1/prob);
 end;
 
 
 
 
 